2 Replies Latest reply on Jan 30, 2008 8:56 AM by VJ Rao

    Java compatibility?

    VJ Rao Newbie

      Hi,

       

      I am having an issue installing FUSE with Java 1.5

       

      I guess I can set the display variable but I've seen issues with Java 1.5 before where it fails to load certain libraries

       

      Is there an install guide with software requirements for the services framework somewhere?

       

      -v

       

      ./fuse-services-framework-2.0.2.2-unix.bin

      Preparing to install...

      Extracting the installation resources from the installer archive...

      Configuring the installer for this system's environment...

       

      Launching installer...

       

      Invocation of this Java Application has caused an InvocationTargetException. This application will now exit. (LAX)

       

      Stack Trace:

      java.awt.HeadlessException:

      No X11 DISPLAY variable was set, but this program performed an operation which requires it.

              at java.awt.GraphicsEnvironment.checkHeadless(GraphicsEnvironment.java:159)

              at java.awt.Window.(JFrame.java:150)

              at com.zerog.ia.installer.LifeCycleManager.f(DashoA8113)

              at com.zerog.ia.installer.LifeCycleManager.g(DashoA8113)

              at com.zerog.ia.installer.LifeCycleManager.a(DashoA8113)

              at com.zerog.ia.installer.Main.main(DashoA8113)

              at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)

              at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)

              at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)

              at java.lang.reflect.Method.invoke(Method.java:585)

              at com.zerog.lax.LAX.launch(DashoA8113)

              at com.zerog.lax.LAX.main(DashoA8113)

      This Application has Unexpectedly Quit: Invocation of this Java Application has caused an InvocationTargetException. This application will now exit. (LAX)

        • 1. Re: Java compatibility?
          Daniel Kulp Newbie

          Yea, that is definitely due to not having a DISPLAY to show the gui installer.   Two options:

           

          1) Point the DISLAY back to a valid display

           

          2) Use the console installer.    When running the installer, add "-i console" flags.   That puts it completely in text mode.

           

           

          Dan

          • 2. Re: Java compatibility?
            VJ Rao Newbie

            Thanks, I have installed FUSE

             

            I have Java running too

             

            Now what? Is there a specific version of Apache it needs? I want to build a sample portal page on this server and integrate data from other systems using the services frame work. Is there a FUSE portal software I can install that will use the framework (or is it built it)

             

            Can someone point me towards next steps?

             

            -v